phrSetDumpStringsOn {phreeqc} | R Documentation

## Set dump strings on/off.

### Description

Sets the dump strings switch on or off. This switch controls whether or not the data normally sent to the dump file are stored in a buffer for retrieval. The initial setting is off.

### Usage

    phrSetDumpStringsOn(value)

### Arguments

`value` | if TRUE, captures output normally sent to the error file into a buffer.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Dump: `phrGetDumpFileName`, `phrGetDumpFileOn`, `phrGetDumpStringsOn`, `phrGetDumpStrings`, `phrSetDumpFileName`, `phrSetDumpFileOn`

### Examples

    # This example equilibrates pure water with calcite and echos the
    # dump strings.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetDumpStringsOn(TRUE)
    input <- c(
      'SOLUTION 1 Pure water     ',
      'EQUILIBRIUM_PHASES 1      ',
      '    Calcite 0 10          ',
      'SAVE solution 1           ',
      'SAVE equilibrium_phases 1 ',
      'DUMP                      ',
      '    -solution 1           ',
      '    -equilibrium_phases 1 '
      )

    if (is.null(phrRunString(input))) {
      cat("Dump:\n")
      cat(phrGetDumpStrings(), sep = "\n")
    }

[Package phreeqc version 3.4.10 Index]